Bug 805917 - [RFE] Support DIR: credential caches for multiple TGT support
Summary: [RFE] Support DIR: credential caches for multiple TGT support
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-22 12:57 UTC by Dmitri Pal
Modified: 2020-05-02 16:24 UTC (History)
1 user (show)

Fixed In Version: sssd-1.10.0-1.el7.alpha1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-19 17:37:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 2016 0 None None None 2020-05-02 16:24:11 UTC

Description Dmitri Pal 2012-03-22 12:57:52 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/974

MIT dev team is working on the new type of the credential cache to support the case when one user has multiple tickets for different Kerberos realms. This is a feature of Kerberos 1.10. We need to take advantage of this functionality as soon as it becomes available.

http://k5wiki.kerberos.org/wiki/Projects/Client_principal_selection

Comment 2 Jakub Hrozek 2013-03-26 18:02:57 UTC
Fixed upstream.

Comment 3 Dmitri Pal 2013-09-19 17:37:51 UTC
We decided to use kernel based credential cache to avoid race conditions. This is not a feature we pursue any more.

Comment 4 Jakub Hrozek 2013-09-20 09:36:59 UTC
Just for the record, the DIR feature is present in the source, just not compiled in (and tested etc)


Note You need to log in before you can comment on or make changes to this bug.